description

# TransferableTypedData class Null safety

An efficiently transferable sequence of byte values.

A TransferableTypedData is created from a number of bytes. This will take time proportional to the number of bytes.

The TransferableTypedData can be moved between isolates, so sending it through a send port will only take constant time.

When sent this way, the local transferable can no longer be materialized, and the received object is now the only way to materialize the data.

Annotations
  - @Since("2.3.2")

## Constructors

TransferableTypedData.fromList(List<TypedData> list)
  Creates a new TransferableTypedData containing the bytes of `list`. [...]
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

materialize() → ByteBuffer
  Creates a new ByteBuffer containing the bytes stored in this TransferableTypedData. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited